from fastapi import FastAPI
from nicegui import app, ui, context

def init(fastapi_app: FastAPI) -> None:
    @ui.page('/show')
    async def show():
        ui.label('Hello, FastAPI!')

        # NOTE dark mode will be persistent for each user across tabs and server restarts
        ui.dark_mode().bind_value(app.storage.user, 'dark_mode')
        ui.checkbox('dark mode').bind_value(app.storage.user, 'dark_mode')
        app.add_static_files("/scripts", "scripts")

    ui.run_with(
        fastapi_app,
        storage_secret='pick your private secret here',  # NOTE setting a secret is optional but allows for persistent storage per user
    )
